## biddy-source-1-0.zip

=== Makefile ===
#  Authors     [Robert Meolic (meolic@uni-mb.si)]
#  Revision    [$Revision: 23 $]
#  Date        [$Date: 2012-05-21 11:12:29 +0200 (pon, 21 maj 2012) $]
#
#  Copyright   [This file is part of Bdd Scout package.
#               Copyright (C) 2008, 2012 UM-FERI
#               UM-FERI, Smetanova ulica 17, SI-2000 Maribor, Slovenia
#
#               Bdd Scout is free software; you can redistribute it and/or modify
#               it under the terms of the GNU General Public License as
#               published by the Free Software Foundation; either version 2
#               of the License, or (at your option) any later version.
#
#               Bdd Scout is distributed in the hope that it will be useful,
#               but WITHOUT ANY WARRANTY; without even the implied warranty of
#               MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#               GNU General Public License for more details.
#
#               You should have received a copy of the GNU General Public
#               License along with this program; if not, write to the Free
#               Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#               Boston, MA 02110-1301 USA.]

MAINNAME = MAINNAME
EXTNAME1 = EXTNAME1

RM = rm -f
CP = cp
MKDIR = mkdir -p
CD = cd

all: nop

# used for local testing
local: start $(BINDIR) \
     $(BINDIR)/$(MAINNAME) \
     $(BINDIR)/$(EXTNAME1) \
     $(BINDIR)/COPYING \
     $(BINDIR)/bddview.tcl \
     $(BINDIR)/bddscout.tcl \
     $(BINDIR)/bddscoutIFIP.tcl \
     $(BINDIR)/pkgIndex.tcl \
     $(BINDIR)/pkgExtensionIFIP.tcl \
     $(BINDIR)/example.bddview \
     $(BINDIR)/example.bdd \
     $(BINDIR)/example.bf \
     ok

# used for packaging
# produces bddscout.so which is staticaly or dinamicaly linked with Biddy
# (depends on available Biddy package)
package: start $(BINDIR) $(BINDIR)/$(MAINNAME) $(BINDIR)/$(EXTNAME1) ok

# Linux instalation
install:
	$(MKDIR) $(DESTDIR)/bin
	$(MKDIR) $(DESTDIR)/lib/bddscout
	$(MKDIR) $(DESTDIR)/share/bddscout
	$(CP) -d $(BINDIR)/bddscout.tcl $(DESTDIR)/bin
	$(CP) -d $(BINDIR)/bddview.tcl $(DESTDIR)/lib/bddscout
	$(CP) -d $(BINDIR)/bddscout.so $(DESTDIR)/lib/bddscout
	$(CP) -d $(BINDIR)/pkgIndex.tcl $(DESTDIR)/lib/bddscout
	$(CP) -d $(BINDIR)/README $(DESTDIR)/share/bddscout
	$(CP) -d $(BINDIR)/README.Linux $(DESTDIR)/share/bddscout
	$(CP) -d $(BINDIR)/example.bddview $(DESTDIR)/share/bddscout
	$(CP) -d $(BINDIR)/example.bdd $(DESTDIR)/share/bddscout
	$(CP) -d $(BINDIR)/example.bf $(DESTDIR)/share/bddscout

install_bddscoutIFIP:
	$(CP) -d $(BINDIR)/bddscoutIFIP.so $(DESTDIR)/lib/bddscout
	$(CP) -d $(BINDIR)/bddscoutIFIP.tcl $(DESTDIR)/lib/bddscout
	$(CP) -d $(BINDIR)/pkgExtensionIFIP.tcl $(DESTDIR)/lib/bddscout

install_IFIP:
	$(MKDIR) $(DESTDIR)/share/IFIP
	$(MKDIR) $(DESTDIR)/share/IFIP/cath
	$(MKDIR) $(DESTDIR)/share/IFIP/ex
	$(MKDIR) $(DESTDIR)/share/IFIP/hachtel
	$(MKDIR) $(DESTDIR)/share/IFIP/plasco
	$(CP) -d $(BINDIR)/IFIP/README $(BINDIR)/IFIP/*.txt $(DESTDIR)/share/IFIP
	$(CP) -d $(BINDIR)/IFIP/cath/* $(DESTDIR)/share/IFIP/cath
	$(CP) -d $(BINDIR)/IFIP/ex/* $(DESTDIR)/share/IFIP/ex
	$(CP) -d $(BINDIR)/IFIP/hachtel/* $(DESTDIR)/share/IFIP/hachtel
	$(CP) -d $(BINDIR)/IFIP/plasco/* $(DESTDIR)/share/IFIP/plasco

# -----------------------------------------------------------------------
# help

nop:
	@echo Please, check README to get instructions for building BDD Scout

start:
	@echo "----------------------------------"
	@echo "| Building Bdd Scout package ... |"
	@echo "----------------------------------"

ok:
	@echo "-------------------------------------------"
	@echo "| Bdd Scout package successfully compiled |"
	@echo "-------------------------------------------"

# -----------------------------------------------------------------------
# create directory, copy files

$(BINDIR):
	$(MKDIR) $(BINDIR)

$(BINDIR)/COPYING: ./COPYING
	$(CP) ./COPYING $(BINDIR)

$(BINDIR)/bddview.tcl: $(BDDVIEWDIR)/bddview.tcl
	$(CP) $(BDDVIEWDIR)/bddview.tcl $(BINDIR)

$(BINDIR)/bddscout.tcl: ./bddscout.tcl
	$(CP) ./bddscout.tcl $(BINDIR)

$(BINDIR)/bddscoutIFIP.tcl: ./bddscoutIFIP.tcl
	$(CP) ./bddscoutIFIP.tcl $(BINDIR)

$(BINDIR)/pkgIndex.tcl: ./pkgIndex.tcl
	$(CP) ./pkgIndex.tcl $(BINDIR)

$(BINDIR)/pkgExtensionIFIP.tcl: ./pkgExtensionIFIP.tcl
	$(CP) ./pkgExtensionIFIP.tcl $(BINDIR)

$(BINDIR)/example.bddview: $(BDDVIEWDIR)/example.bddview
	$(CP) $(BDDVIEWDIR)/example.bddview $(BINDIR)

$(BINDIR)/example.bdd: ./example.bdd
	$(CP) ./example.bdd $(BINDIR)

$(BINDIR)/example.bf: ./example.bf
	$(CP) ./example.bf $(BINDIR)

# -----------------------------------------------------------------------
# make objects
# -----------------------------------------------------------------------

$(BINDIR)/bddscout.o: bddscout.c bddscout.h bddscoutStubInit.c bddscoutStubLib.c
	$(CC) -I$(BIDDYDIR) -o $(BINDIR)/bddscout.o -c bddscout.c -D'USECONST=$(USECONST)'
	$(CC) -I$(BIDDYDIR) -o $(BINDIR)/bddscoutStubInit.o -c bddscoutStubInit.c
	$(CC) -I$(BIDDYDIR) -o $(BINDIR)/bddscoutStubLib.o -c bddscoutStubLib.c

$(BINDIR)/bddscoutIFIP.o: bddscoutIFIP.c bddscout.h
	$(CCEXT1) -I$(BIDDYDIR) -o $(BINDIR)/bddscoutIFIP.o -c bddscoutIFIP.c -D'USECONST=$(USECONST)'

# -----------------------------------------------------------------------
# make libraries, use tcl/tk
# -----------------------------------------------------------------------

$(BINDIR)/$(MAINNAME): $(BINDIR)/bddscout.o $(BINDIR)/bddscoutStubInit.o
	$(CD) $(BINDIR); $(LN) $(MAINNAME) bddscout.o bddscoutStubInit.o -L$(BIDDYLIB) -lbiddy $(TCLLIB)
	$(CD) $(BINDIR); $(AR) $(BDDSCOUTLIB) bddscoutStubLib.o

$(BINDIR)/$(EXTNAME1): $(BINDIR)/bddscoutIFIP.o $(BINDIR)/$(BDDSCOUTLIB)
	$(CD) $(BINDIR); $(LNEXT1) $(EXTNAME1) bddscoutIFIP.o $(BDDSCOUTLIB) $(BIDDYLIBEXT) $(TCLLIB)

# -----------------------------------------------------------------------
# purge = purify source directory, clean = purify bin directory

purge:
	@$(RM) *~
	@$(RM) */*~

clean:
	@$(RM) $(BINDIR)/bddscout.o
	@$(RM) $(BINDIR)/bddscoutIFIP.o
	@$(RM) $(BINDIR)/bddscoutStubInit.o
	@$(RM) $(BINDIR)/bddscoutStubLib.o

=== debian/control ===
Source: bddscout
Section: math
Priority: extra
Maintainer: Robert Meolic <meolic@uni-mb.si>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: bddscout
Section: math
Architecture: any
Depends: libbiddy1, ${shlibs:Depends}, ${misc:Depends}
Description: Visualization of Binary Decision Diagrams
 http://lms.uni-mb.si/biddy/
 You can move nodes and subgraphs. The zoom-out capability allows you to
 see the whole BDD. Graph can be saved, printed or exported as PNG image
 and PDF document. Currently, only Biddy BDD package is supported.

Package: bddscout-ifip-data
Section: math
Architecture: any
Depends: ${misc:Depends}
Description: IFIP benchmark data
 http://lms.uni-mb.si/biddy/
 Benchmark files used on IMEC-IFIP International Workshop on Applied Formal
 Methods For Correct VLSI Design, Houthalen, Belgium, November 1989.
 Every file contains a pair of circuits which have to be compared.

Package: bddscout-ifip
Section: math
Architecture: any
Depends: bddscout (= ${binary:Version}), bddscout-ifip-data (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Visualization of BDDs
 http://lms.uni-mb.si/biddy/
 BDD Scout is a tool for visualization of Binary Decision Diagrams (BDDs).
 You can move nodes and subgraphs. The zoom-out capability allows you to
 see the whole BDD. Graph can be saved, printed or exported as PNG image
 and PDF document. Currently, only Biddy BDD package is supported.
 This package contains extension bddscoutIFIP (IFIP benchmark).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Changed by Robert Meolic (meolic@uni-mb.si).

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Add here commands to configure the package.
configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

# Add here commands to compile the package.
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) package -f Makefile.Linux "BIDDYDIR = /usr/include -I/home/meolic/est/biddy" "BIDDYLIB = /usr/lib -L/home/meolic/est/biddy/bin" "BIDDYLIBEXT = -L/usr/lib -L/home/meolic/est/biddy/bin -lbiddy" "BINDIR = `pwd`"
	touch $@


# Add here commands to clean up after the build process.
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean "BINDIR=`pwd`"
	dh_clean

# Add here commands to install the package into debian/package/usr
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/bddscout/usr install "BINDIR=`pwd`"
	$(MAKE) DESTDIR=$(CURDIR)/debian/bddscout-ifip/usr install_bddscoutIFIP "BINDIR=`pwd`"
	$(MAKE) DESTDIR=$(CURDIR)/debian/bddscout-ifip-data/usr install_IFIP "BINDIR=`pwd`"

# Build architecture-independent files here.
# We have nothing to do by default.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -l /home/meolic/est/biddy/bin --dpkg-shlibdeps-params=--ignore-missing-info
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
